Guide to update 4.3-3827-beta7 to Update 6 andHeartbleed fix


Recommended Posts

We have another update!

 

Copy and paste the release:

Version : 4.3-3827 Update 7

 

(2014/09/10)

Fixed Issues

 

Fixed a vulnerability that could allow servers to accept unauthorized access.

 

Tested and working perfect with this update! :grin:

 

I'm on Update 2. Do i have to follow the same procedure as the first post to update from Update 2 to Update 7? Or can i just do it the normal way?

Link to post
Share on other sites
We have another update!

 

Copy and paste the release:

Version : 4.3-3827 Update 7

 

(2014/09/10)

Fixed Issues

 

Fixed a vulnerability that could allow servers to accept unauthorized access.

 

Tested and working perfect with this update! :grin:

 

I'm on Update 2. Do i have to follow the same procedure as the first post to update from Update 2 to Update 7? Or can i just do it the normal way?

 

The same procedure as the first post on all updates.

Link to post
Share on other sites
  • 2 weeks later...
  • 3 weeks later...

Update 8 is out, and this procedure is still working well to upgrade.

 

Version : 4.3-3827 Update 8

(2014/09/29)

Fixed Issues

Fixed a potential risk on Bash command shell (CVE-2014-6271 and CVE-2014-7169).Version : 4.3-3827 Update 8

Done 2 boxes now, all is well.

Link to post
Share on other sites
  • 2 months later...

Hello

 

Trying to do the upgrade from 4.3.3810 to 4.3-3827 but everytime it fails.

1. enabled SSH = OK

2. only download Important updates > Check

3. Download but not install > check

4. checking for /@smallupd@te_deb/ or /volume1/@smallupd@te_deb/ = non existent

5. Ran the two "simple" commands anyway

6. click update button

7. Receive DSM error message box

8. Checked dpkg_upgrade.log (not updated since may 2014)

contents:

Preparing to replace flashcache-bromolow-bin 1.0-3810-s2 (using .../flashcache-bromolow-bin_1.0-3810-s4_all.deb) ...

Unpacking replacement flashcache-bromolow-bin ...

Setting up flashcache-bromolow-bin (1.0-3810-s4) ...

2014/05/13 14:15:02 ===========[-i /smallupd@te/webapi-bromolow-bin_4.3-3810-s4_all.deb ]===========

Authenticating /smallupd@te/webapi-bromolow-bin_4.3-3810-s4_all.deb ...

passed

(Reading database ... 171 files and directories currently installed.)

Preparing to replace webapi-bromolow-bin 4.3-3810-s1 (using .../webapi-bromolow-bin_4.3-3810-s4_all.deb) ...

Unpacking replacement webapi-bromolow-bin ...

Setting up webapi-bromolow-bin (4.3-3810-s4) ...

 

9. checked synoupdate.log

contents

2014/12/22 21:12:03 Failed to accomplish the update! (errno = 21)

2014/12/22 21:24:11 Start of the update...

2014/12/22 21:24:11 Upgrade from version 4.3.0.3810 to version 4.3.0.3827

2014/12/22 21:24:11 Failed to accomplish the update! (errno = 21)

2014/12/22 21:48:12 Start of the update...

2014/12/22 21:48:12 Upgrade from version 4.3.0.3810 to version 4.3.0.3827

2014/12/22 21:48:12 Failed to accomplish the update! (errno = 21)

2014/12/22 22:07:49 Start of the update...

2014/12/22 22:07:50 Upgrade from version 4.3.0.3810 to version 4.3.0.3827

2014/12/22 22:07:50 Failed to accomplish the update! (errno = 21)

 

I am probably doing something wrong here and did not want to call for help before I tried everything.

But my everything is not a lot, so please tell me what I am missing.

Link to post
Share on other sites

Nevermind.

 

Read the guide again and figured out what I did wrong.

I wanted to upgrade from 3810 to 3827 and that was not what this guide was about.

Got everything working now and latest 3827 update is now running / installing.

 

Will try and read better next time.

Sorry again

Link to post
Share on other sites